<?php
/**
 * Template for the index page.
 *
 * WordPress identifies this file by its name (which MUST be index.php)
 * and displays it whenever it has to display lists of posts. Furthermore,
 * this page is used as the ultimate fallback page when there is no
 * other template available.
 *
 * @see https://codex.wordpress.org/Theme_Development#Index_.28index.php.29
 */

get_header();
?>
<aside class="levitating list-meta">
    <h1>
        <?php if(is_category()) {
            single_cat_title();
        } elseif(is_archive()) {
            single_month_title(" ");
        } else {
            echo "Blog";
        } ?>
    </h1>

    <h2>Kategorien</h2>
    <ul class="categories seamless box-links">
        <?php wp_list_categories(array("title_li"=>"")); ?>
    </ul>

    <h2>Archiv</h2>
    <select onchange="document.location.href=this.options[this.selectedIndex].value;">
        <option>nach Monat</option>
        <?php wp_get_archives(array("format"=>"option")); ?>
    </select>

    <a href="<?php bloginfo("rss2_url"); ?>" class="rss">
        zum RSS-Feed
    </a>
</aside>

<main class="list">
    <?php while (have_posts()) {
        the_post();
        get_template_part("components/article", null, array(
            "show_author" => false,
            "show_published_date" => true,
            "show_modified_date" => false,
            "show_only_excerpt" => true,
            "link_title" => true,
            "hide_default_header_image" => true
        ));
    }
    
    get_template_part("components/pagination");
    ?>
</main>
<?php get_footer(); ?>
